For the complete documentation index, see llms.txt. This page is also available as Markdown.

List quests

Overview

This endpoint retrieves all quests and their details for a specified community. Admin role required.

The claimCounter indicates the number of claims made for a quest. Note: this value is not real-time; it is cached for 1 hour.

List quests in a community

get
Path parameters
subdomainstringRequired
Query parameters
moduleIdstring · uuidOptional
limitinteger · max: 100Optional
cursorstring · uuid · nullableOptional
Header parameters
authorizationstringOptional
x-api-keystringOptional
x-zealy-mcp-clientstring · enumOptionalPossible values:
Responses
200

200

application/json
or
get/public/communities/{subdomain}/quests
GET /public/communities/{subdomain}/quests HTTP/1.1
Host: api-v2.zealy.io
Accept: */*
[
  {
    "description": {
      "type": "text",
      "text": "text",
      "attrs": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "marks": [
        {
          "type": "text",
          "attrs": {
            "href": "text",
            "target": "_blank",
            "class": "text",
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "content": null,
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "id": "text",
    "name": "text",
    "deleted": true,
    "communityId": "text",
    "categoryId": "text",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "archived": true,
    "autoValidate": true,
    "conditionOperator": "AND",
    "conditions": [
      {
        "type": "level",
        "value": "text",
        "operator": "="
      }
    ],
    "published": true,
    "recurrence": "daily",
    "retryAfter": 1,
    "rewards": [
      {
        "type": "xp",
        "operator": "=",
        "value": "text",
        "chain": "polygon",
        "collection": "text",
        "contractAddress": "text"
      }
    ],
    "tasks": [
      {
        "id": "text",
        "metadata": null,
        "type": "api",
        "settings": {
          "title": "text",
          "description": "text",
          "endpoint": "https://example.com",
          "apiKey": "text",
          "identifications": [
            "email"
          ],
          "network": "eth-mainnet",
          "redirectUrl": "text"
        }
      }
    ],
    "claimLimit": 1,
    "claimCounter": 1,
    "communityImageUrl": "text",
    "communityName": "text",
    "subdomain": "text"
  }
]

Last updated

Was this helpful?